Bug 621666 - qpidd with --cluster-cman option does not start.
Summary: qpidd with --cluster-cman option does not start.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp   
(Show other bugs)
Version: beta
Hardware: All Linux
urgent
urgent
Target Milestone: 1.3
: ---
Assignee: Alan Conway
QA Contact: Jeff Needle
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-05 18:57 UTC by Alan Conway
Modified: 2010-10-20 13:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 11:30:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Conway 2010-08-05 18:57:47 UTC
Description of problem:

Starting qpidd with --cluster-cman and --daemon options fails with:

Daemon startup failed: Operation not permitted (qpid/sys/epol/EpollPoller.cpp:345)

Strangely, without the --daemon option it works.

Version-Release number of selected component (if applicable): 1.3 beta

How reproducible: 100%

Steps to Reproduce:

Must run qpidd as root (required by cman)
 qpidd --cluster-name foo --cluster-cman -d

Also fails if you add --cluster-cman to /etc/qpidd.conf and run service qpidd start.

Comment 1 Alan Conway 2010-08-09 19:36:21 UTC
Fixed in trunk r983786 and mrg_1.3.x branch:

http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=179f1e04ddf8e9dff0d1d6d2ebe53f6efc1fa786

Comment 2 Alan Conway 2010-08-10 13:54:57 UTC
Apologies, forgot to set blocker flag before commit but this is:
- a regression: can't use cman integration without it, potentially could see a crash in the plain cluster.
- low risk: small isolated change, the problem is clearly understood.

Comment 3 Jiri Kolar 2010-08-19 13:50:24 UTC
this appear on -8 is fixed in last packages -12
qpid-cpp-server-0.7.946106-12.el5

validated on RHEL5.5/RHEL4  i386 / x86_64  

packages:

# rpm -qa | grep -E '(qpid|openais|rhm)' | sort -u
openais-0.80.6-16.el5_5.7
openais-devel-0.80.6-16.el5_5.7
python-qpid-0.7.946106-12.el5
qpid-cpp-client-0.7.946106-12.el5
qpid-cpp-client-devel-0.7.946106-12.el5
qpid-cpp-client-devel-docs-0.7.946106-12.el5
qpid-cpp-client-ssl-0.7.946106-12.el5
qpid-cpp-mrg-debuginfo-0.7.946106-11.el5
qpid-cpp-server-0.7.946106-12.el5
qpid-cpp-server-cluster-0.7.946106-12.el5
qpid-cpp-server-devel-0.7.946106-12.el5
qpid-cpp-server-ssl-0.7.946106-12.el5
qpid-cpp-server-store-0.7.946106-12.el5
qpid-cpp-server-xml-0.7.946106-12.el5
qpid-java-client-0.7.946106-7.el5
qpid-java-common-0.7.946106-7.el5
qpid-tools-0.7.946106-8.el5
rhm-docs-0.7.946106-5.el5
rh-tests-distribution-MRG-Messaging-qpid_common-1.6-53

->VERIFIED


Note You need to log in before you can comment on or make changes to this bug.